# Generated by go2rpm
%bcond_without check

# https://github.com/golang/sys
%global goipath         golang.org/x/sys
%global forgeurl        https://github.com/golang/sys
%global commit          d19ff857e887eacb631721f188c7d365c2331456

%gometa

%global common_description %{expand:
Go packages for low-level interactions with the operating system.}

%global golicenses      LICENSE PATENTS
%global godocs          AUTHORS CONTRIBUTING.md CONTRIBUTORS README.md

# Add Windows file to compile Winio
%global gosupfiles glide.lock glide.yaml ${windows[@]}

Name:           %{goname}
Version:        0
Release:        0.41%{?dist}
Summary:        Go packages for low-level interaction with the operating system

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock
# Disable TestOpenByHandleAt which doesn't work in Mock chroot
# https://bugzilla.redhat.com/show_bug.cgi?id=1750000
Patch0:         golang-x-sys-Disable-TestOpenByHandleAt.patch

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1
cp %{S:1} %{S:2} .

%install
# Add Windows file to compile Winio
mapfile -t windows <<< $(find *_windows.go -type f)
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sun Aug 15 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0-0.41.20210815gitd19ff85
- Bump to commit d19ff857e887eacb631721f188c7d365c2331456

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.40
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.39
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 23 15:47:29 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.38.20210123git9b0068b
- Bump to commit 9b0068b26619c2b42438dc1d6335afefe7cdedf6

* Sun Jan 10 11:12:54 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.37.20210110git789bb1b
- Bump to commit789bb1bd4061037aab923f91266e7b94b91f0eb5

* Mon Nov  2 16:18:39 CET 2020 Olivier Lemasle <o.lemasle@gmail.com> - 0-0.36
- Bump to commit 201ba4db2418b54b698efb4d8082dcb504617cdb

* Thu Sep 17 19:02:18 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.35.20200917gitefd3b9a
- Bump to commit efd3b9a0ff205c921c51961c1c9bb8728bd0ce1b

* Sat Aug 22 16:06:38 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.34.20200807git5acd03e
- Add windows only files to compile Winio

* Fri Aug 07 20:59:42 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.33.20200807git5acd03e
- Bump to commit 5acd03effb828bdfdbad4e129e7daf84af6670b4

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 02 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.30.20200102gitc96a22e
- Update to c96a22e43c9c1088b5e506727c975511357d9f68

* Sun Dec 15 20:24:34 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.29.20191215gitac6580d
- Bump to commit ac6580df4449443a05718fd7858c1f91ad5f8d20
- Disable TestOpenByHandleAt test

* Sun Aug 18 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.28.20190818gitfde4db3
- Bump to commit fde4db37ae7ad8191b03d30d27f258b5291ae4e3

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.27.20190416git3fd5a36
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 05 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.26.20190416git3fd5a36
- Add Obsoletes for old name

* Tue Apr 16 00:58:44 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.25.20190416git3fd5a36
- Bump to commit 3fd5a3612ccd7907f26270fa92579a0f2f76f734

* Sat Mar 02 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.24.20190302gitb688937
- Bump to commit b6889370fb1098ed892bd3400d189bb6a3355813

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.23.git95b1ffb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Oct 27 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.22.20181027git95b1ffb
- Bump to commit 95b1ffbd15a57cc5abb3f04402b9e8ec0016a52c

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.21.git7c87d13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jun 10 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.20.git7c87d13
- Upload glide files

* Thu May 17 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.19.20180517git7c87d13
- Bump to upstream 7c87d13f8e835d2fb3a70a2912c811ed0c1d241b

* Mon Mar 05 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.18.gitf6cff07
- Update to spec 3.0

* Fri Mar 02 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.17.20170302gitf6cff07
- Bump to upstream f6cff0780e542efa0c8e864dc8fa522808f6a598

* Wed Feb 28 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.16.20170302gite48874b
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.15.gite48874b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Sep 21 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.14.gite48874b
- Bump to upstream e48874b42435b4347fc52bdee0424a52abc974d7
  related: #1360748

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.13.git478fcf5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.git478fcf5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Mar 14 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.11.git478fcf5
- Bump to upstream 478fcf54317e52ab69f40bb4c7a1520288d7f7ea
  related: #1360748

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.git8f0908a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jan 18 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.9.git8f0908a
- Bump to upstream 8f0908ab3b2457e2e15403d3697c9ef5cb4b57a9
  related: #1360748

* Fri Dec 16 2016 Jan Chaloupka <jchaloup@redhat.com> - 0-0.8.git62bee03
- Polish the spec file
  related: #1360748

* Wed Aug 17 2016 jchaloup <jchaloup@redhat.com> - 0-0.7.git62bee03
- Bump to upstream 62bee037599929a6e9146f29d10dd5208c43507d
  related: #1360748

* Sat Aug 06 2016 jchaloup <jchaloup@redhat.com> - 0-0.6.git33267e0
- Enable devel and unit-test subpackage for epel7
  related: #1360748

* Tue Aug 02 2016 jchaloup <jchaloup@redhat.com> - 0-0.5.git33267e0
- Bump to upstream 33267e036fd93fcd26ea95b7bdaf2d8306cb743c
  resolves: #1360748

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.git9c60d1c
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.git9c60d1c
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.git9c60d1c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Sep 11 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git9c60d1c
- First package for Fedora
  resolves: #1246277

